using System.ComponentModel;

namespace Ewide.Core
{
    /// <summary>
    /// 查询类型的枚举
    /// </summary>
    public enum QueryTypeEnum
    {
        /// <summary>
        /// 等于
        /// </summary>
        [Description("等于")]
        Equal = 0,

        /// <summary>
        /// 模糊
        /// </summary>
        [Description("模糊")]
        Like = 1,

        /// <summary>
        /// 大于
        /// </summary>
        [Description("大于")]
        GreaterThan = 2,

        /// <summary>
        /// 小于
        /// </summary>
        [Description("小于")]
        LessThan = 3,

        /// <summary>
        /// 不等于
        /// </summary>
        [Description("不等于")]
        NotEqual = 4,

        /// <summary>
        /// 大于等于
        /// </summary>
        [Description("大于等于")]
        GreaterThanOrEqual = 5,

        /// <summary>
        /// 小于等于
        /// </summary>
        [Description("小于等于")]
        LessThanOrEqual = 6,

        /// <summary>
        /// 不为空
        /// </summary>
        [Description("不为空")]
        IsNotNull = 7,

        /// <summary>
        /// 开始于 LIKE Param%
        /// </summary>
        [Description("LIKE Param%")]
        StartWith =8,

        /// <summary>
        /// 结合于  LIKE %Param
        /// </summary>
        [Description("LIKE %Param")]
        EndWith = 9
    }
}
